Not Solved [General] Links in posts became non-clickable
#1
Not Solved
Hi,
I'm not sure if I did something wrong, but after upgrading my forum (1.8.26 -> 1.8.27 -> 1.8.28 -> 1.8.29) some links in posts became non-clickable (but not all).
When I add a new post with a link, the link is also non-clickable unless I use the url tag. Do I remember correctly that the link was always clickable, regardless of whether the user used the url tag?
Any ideas about what might have happened and how to fix it?
Reply
#2
Not Solved
The first thing to check would be the Clickable Smilies and BB CodeAutomatically Parse URLs Into Links setting (which should be enabled by default).
devilshakerz.com/pgp (DF3A 34D9 A627 42E5 BC6A 6750 1F2F B8AA 28FF E1BC) ▪ keybase.io/devilshakerz
Reply
#3
Not Solved
@Devilshakerz, thanks for your quick reply, but I don't see such an option there (see attachments). Any idea why?
   
   
Reply
#4
Not Solved
See if there are any problems in Tools & Maintenance → File Verification, and try re-running the upgrade with 1.8.24, 1.8.25 or 1.8.26 selected as the old version.
devilshakerz.com/pgp (DF3A 34D9 A627 42E5 BC6A 6750 1F2F B8AA 28FF E1BC) ▪ keybase.io/devilshakerz
Reply
#5
Not Solved
File Verification returns one file: inc/functions_indicators.php

   

Could this be the root cause?

Is there no option other than a downgrade? I'd rather avoid it. However, if there is no other option, then should I just download the version I want to install, start installing it, and at some point indicate that it is a downgrade? I've never done it before.
Reply
#6
Not Solved
(2021-11-27, 11:42 PM)Jaen Wrote: File Verification returns one file: inc/functions_indicators.php



Could this be the root cause?

Unlikely, but you can overwrite the file using the latest package (if it wasn't modified intentionally, or by a plugin).

Quote:Is there no option other than a downgrade? I'd rather avoid it. However, if there is no other option, then should I just download the version I want to install, start installing it, and at some point indicate that it is a downgrade? I've never done it before.

This would only involve uploading the install/ directory again (from the latest Full Package), going to install/upgrade.php?force=1, selecting 1.8.24, 1.8.25 or 1.8.26 and clicking Next a few times.

This would make sure that all database changes since 1.8.26 are applied correctly (missing settings indicate that some changes were not applied).

I assume you were directed to install/upgrade.php at some point when upgrading from 1.8.26, but if that didn't happen, that would also explain the missing settings.
devilshakerz.com/pgp (DF3A 34D9 A627 42E5 BC6A 6750 1F2F B8AA 28FF E1BC) ▪ keybase.io/devilshakerz
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)